Results 1 to 3 of 3

Thread: KF5 - cmake error

  1. #1
    Join Date
    Jun 2008
    Location
    South-West France
    Posts
    1,068

    Default KF5 - cmake error

    Hello.
    I try to compile KDE-CDEmu-0.6.1 which is a gui for CDemu.
    The required module are already present but with another name ( for example CoreAddons is needed but libKF5CoreAddons5 is installed )

    Below is the screen log :
    Code:
     cmake ./CMakeLists.txt
    
    -- Could not set up the appstream test. appstreamcli is missing.
    -- Found Gettext: /usr/bin/msgmerge (found version "0.19.2") 
    -- Found PythonInterp: /usr/bin/python (found version "2.7.12") 
    -- Found KF5I18n: /usr/lib64/cmake/KF5I18n/KF5I18nConfig.cmake (found version "5.26.0") 
    CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
      Could not find a package configuration file provided by "KF5CoreAddons"
      with any of the following names:
    
        KF5CoreAddonsConfig.cmake
        kf5coreaddons-config.cmake
    
      Add the installation prefix of "KF5CoreAddons" to CMAKE_PREFIX_PATH or set
      "KF5CoreAddons_DIR" to a directory containing one of the above files.  If
      "KF5CoreAddons" provides a separate development package or SDK, be sure it
      has been installed.
    Call Stack (most recent call first):
      CMakeLists.txt:13 (find_package)
    
    
    -- Could NOT find KF5CoreAddons: found neither KF5CoreAddonsConfig.cmake nor kf5coreaddons-config.cmake 
    CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
      Could not find a package configuration file provided by "KF5Notifications"
      with any of the following names:
    
        KF5NotificationsConfig.cmake
        kf5notifications-config.cmake
    
      Add the installation prefix of "KF5Notifications" to CMAKE_PREFIX_PATH or
      set "KF5Notifications_DIR" to a directory containing one of the above                      
      files.  If "KF5Notifications" provides a separate development package or                             
      SDK, be sure it has been installed.                                                                  
    Call Stack (most recent call first):                                                                   
      CMakeLists.txt:13 (find_package)                                                                          
                                                                                                        
    
    -- Could NOT find KF5Notifications: found neither KF5NotificationsConfig.cmake nor kf5notifications-config.cmake 
    CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
      Could not find a package configuration file provided by "KF5XmlGui" with
      any of the following names:
    
        KF5XmlGuiConfig.cmake
        kf5xmlgui-config.cmake
    
      Add the installation prefix of "KF5XmlGui" to CMAKE_PREFIX_PATH or set
      "KF5XmlGui_DIR" to a directory containing one of the above files.  If
      "KF5XmlGui" provides a separate development package or SDK, be sure it has
      been installed.
    Call Stack (most recent call first):
      CMakeLists.txt:13 (find_package)
    
    
    -- Could NOT find KF5XmlGui: found neither KF5XmlGuiConfig.cmake nor kf5xmlgui-config.cmake 
    CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
      Could not find a package configuration file provided by "KF5ConfigWidgets"
      with any of the following names:
    
        KF5ConfigWidgetsConfig.cmake
        kf5configwidgets-config.cmake
    
      Add the installation prefix of "KF5ConfigWidgets" to CMAKE_PREFIX_PATH or
      set "KF5ConfigWidgets_DIR" to a directory containing one of the above
      files.  If "KF5ConfigWidgets" provides a separate development package or
      SDK, be sure it has been installed.
    Call Stack (most recent call first):
      CMakeLists.txt:13 (find_package)
    
    
    -- Could NOT find KF5ConfigWidgets: found neither KF5ConfigWidgetsConfig.cmake nor kf5configwidgets-config.cmake 
    CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
      Could not find a package configuration file provided by "KF5WidgetsAddons"
      with any of the following names:
    
        KF5WidgetsAddonsConfig.cmake
        kf5widgetsaddons-config.cmake
    
      Add the installation prefix of "KF5WidgetsAddons" to CMAKE_PREFIX_PATH or
      set "KF5WidgetsAddons_DIR" to a directory containing one of the above
      files.  If "KF5WidgetsAddons" provides a separate development package or
      SDK, be sure it has been installed.
    Call Stack (most recent call first):
      CMakeLists.txt:13 (find_package)
    
    
    -- Could NOT find KF5WidgetsAddons: found neither KF5WidgetsAddonsConfig.cmake nor kf5widgetsaddons-config.cmake 
    CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
      Could not find a package configuration file provided by "KF5DBusAddons"
      with any of the following names:
    
        KF5DBusAddonsConfig.cmake
        kf5dbusaddons-config.cmake
    
      Add the installation prefix of "KF5DBusAddons" to CMAKE_PREFIX_PATH or set
      "KF5DBusAddons_DIR" to a directory containing one of the above files.  If
      "KF5DBusAddons" provides a separate development package or SDK, be sure it
      has been installed.
    Call Stack (most recent call first):
      CMakeLists.txt:13 (find_package)
    
    
    -- Could NOT find KF5DBusAddons: found neither KF5DBusAddonsConfig.cmake nor kf5dbusaddons-config.cmake 
    CMake Error at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:148 (message):
      Could NOT find KF5 (missing: CoreAddons Notifications XmlGui ConfigWidgets
      WidgetsAddons DBusAddons) (found version "5.26.0")
    Call Stack (most recent call first):
      /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE)
      /usr/share/ECM/find-modules/FindKF5.cmake:110 (find_package_handle_standard_args)
      CMakeLists.txt:13 (find_package)
    
    
    -- Configuring incomplete, errors occurred!
    See also "/tmp/000_kde_cdemu/KDE-CDEmu-0.6.1/CMakeFiles/CMakeOutput.log".
    CMakeOutput.log is here : http://paste.opensuse.org/4975986

    Any help is welcome
    Thanks for helping. JCD
    __________
    server leap 15.0 -- ASUS g75vw KDE leap 15.0 -- ASUS g750JZ Optimus KDE leap 15.1 -- acer aspire s13 win 10 home -- HP Omen win 10 home - scan EPSON V500 - Brother HL2250DN - Samsung CLP-325W

  2. #2

    Default AW: KF5 - cmake error

    You need to install the corresponding *devel* packages if you want to compile applications.

    In your case: knotifications-devel, kxmlgui-devel, kconfigwidgets-devel, kwidgetsaddons-devel, kdbusaddons-devel

  3. #3
    Join Date
    Jun 2008
    Location
    South-West France
    Posts
    1,068

    Default Re: AW: KF5 - cmake error

    Quote Originally Posted by wolfi323 View Post
    You need to install the corresponding *devel* packages if you want to compile applications.

    In your case: knotifications-devel, kxmlgui-devel, kconfigwidgets-devel, kwidgetsaddons-devel, kdbusaddons-devel
    I Need also ki18n-devel

    It works.

    Thank you very much for helping
    Thanks for helping. JCD
    __________
    server leap 15.0 -- ASUS g75vw KDE leap 15.0 -- ASUS g750JZ Optimus KDE leap 15.1 -- acer aspire s13 win 10 home -- HP Omen win 10 home - scan EPSON V500 - Brother HL2250DN - Samsung CLP-325W

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •